Project

General

Profile

Bug #6983

pfBlockerNG-2.1.1_4 requires xmlrpc.inc which is removed or moved

Added by Dmitriy K 12 months ago. Updated 11 months ago.

Status:
Resolved
Priority:
Normal
Category:
pfBlockerNG
Target version:
Start date:
12/05/2016
Due date:
% Done:

100%

Affected Version:
2.4
Affected Architecture:

Description

Hello,

I'm testing 2.4-BETA x64. Faced an issue with subject package installation:
Warning: require_once(xmlrpc.inc): failed to open stream: No such file or directory in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 30
pkg: POST-INSTALL script failed

History

#1 Updated by BBcan177 . 12 months ago

Workaround here:
https://forum.pfsense.org/index.php?topic=120040.0

Will try to push a fix as time permits.

#2 Updated by Angel Torres 12 months ago

BBcan177 . wrote:

Workaround here:
https://forum.pfsense.org/index.php?topic=120040.0

That workaround doesnt seem to allow for dnsbl to run. I use pfBlockerNG as an adblocker but dnsbl never starts. Just an FYI, more then happy to test any possible fixes/updates.

#3 Updated by BBcan177 . 11 months ago

Angel Torres, best to post in the forum for that... Not related to this issue..

Maybe this is causing your issue? Check the pfblockerng.log for additional clues.
https://forum.pfsense.org/index.php?topic=102470.msg671811#msg671811

#4 Updated by Renato Botelho 11 months ago

  • Status changed from New to Feedback
  • Assignee set to Renato Botelho
  • % Done changed from 0 to 100

2.1.1_5 should address this

#5 Updated by Dmitriy K 11 months ago

Confirm: Fixed.

#6 Updated by Renato Botelho 11 months ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF